DFS Management

You can use the Distributed File System (DFS) Management snap-in to manage DFS Namespaces and DFS Replication. When used together, these two technologies offer simplified, fault-tolerant access to files, load sharing, and WAN-friendly replication.

  • To install the DFS Management snap-in, see Installing the DFS Management Snap-in and DFS Replication Service.

  • For help with specific tasks, see Creating and Managing Namespaces and Configuring and Managing DFS Replication.

  • For information about property pages in the DFS Management snap-in, see Namespace Properties and DFS Replication Properties.

  • For more information about the DFS solution in the Microsoft® Windows Server™ 2003 R2 operating systems, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=39468).


Installing the DFS Management Snap-in and DFS Replication Service

If you plan to use DFS Replication, you must first update the Active Directory® directory service schema to install the Active Directory classes and attributes used by DFS Replication. To upgrade the schema, on the schema operations master, run adprep.exe /forestprep. The adprep.exe command-line tool is available in the cmpnents\r2\adprep folder on the second Windows Server 2003 R2 operating system installation CD.

After the Windows Server 2003 R2 operating system is installed, and the schema is updated as necessary, you can install the Distributed File System (DFS) components by using the following procedures.

Note

Two methods for installing Distributed File System are provided. The method using the Manage Your Server file server tool allows you to install Distributed File System as a part of the file server role. This method also installs other file server tools, such as the File Server Resource Manager and File Server Management. The method using Add or Remove Programs allows you to install either the DFS Management snap-in, the DFS Replication service, or both.

Use the following procedure if the file server role has not been added.

To install Distributed File System using Manage Your Server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Manage Your Server.

  2. Click Add or remove a role.

  3. In the Configure Your Server Wizard, click Next. On the Server Role page, click File Server, and then click Next. Click Next again.

  4. In the Add File Server Role Wizard, click Next, and then click Replicate data to and from this server. Follow the steps in the wizard to complete the installation. You will be asked to restart the server when the installation is complete.

Use the following procedure to install the DFS Management snap-in, the DFS Replication service, or both, without installing the File Server role.

To install Distributed File System using Add or Remove Programs

  1. In Control Panel, double-click Add or Remove Programs.

  2. Click Add/Remove Windows Components, highlight Distributed File System, and then click Details.

  3. Do one of the following:

    • To install the Distributed File System management tools without installing the DFS Replication service, click DFS Management.

    • To install the DFS Replication service without installing the management tools, click DFS Replication Service.


Namespaces

This section covers:

  • New DFS Namespaces Terminology and Features in Windows Server 2003 R2

  • Namespaces Overview

  • Getting Started With Namespaces

  • Creating and Managing Namespaces

  • Namespace Properties


New DFS Namespaces Terminology and Features in Windows Server 2003 R2

This section covers:

  • Updated namespace terminology

  • New namespace features


Updated namespace terminology

To make namespace concepts easier to understand, namespace terminology has been simplified. The following table describes the previous and updated terms.

Previous Term | Updated Term | Definition
Link | Folder | Any folder that appears in the namespace after \\ServerOrDomainName\RootName. A folder can have optional folder targets.
Link target | Folder target | A Universal Naming Convention (UNC) path of a shared folder or another namespace that is associated with a folder in a namespace.
Not defined | Namespace root | The top-level folder in the namespace. For example, \\ServerOrDomainName\RootName is the namespace root.
Root | Namespace | A virtual tree of folders that begins with \\ServerOrDomainName\RootName.
Root server | Namespace server | A server that hosts a namespace.


New namespace features

The Distributed File System (DFS) technology in the Microsoft Windows Server 2003 operating systems has been renamed to DFS Namespaces. Although the underlying service and basic functionality are unchanged, there are a number of new namespace settings exposed in the Windows Server 2003 R2 operating systems. These settings are as follows:

Target priority

When a client accesses a namespace, the client receives a referral that contains a list of targets associated with the namespace root or folder. These targets are listed according to the current ordering method for the namespace or folder. To fine-tune how particular targets are ordered, you can specify whether a server appears first or last in a referral. Assigning target priority is useful in many scenarios, such as “hot-standby” scenarios where one server is considered the server of last resort. In this scenario, you specify that the standby server always appears last in referrals, and clients will fail over to this server only if all the other servers fail or become unavailable due to network outages. For more information about target priority, see Target priority.

Client failback

Client failover in DFS Namespaces is the process in which clients attempt to access another server in a referral after one of the servers fails or is removed from the namespace. Unless client failback is configured, clients will continue using the server they failed over to unless the client is restarted or the client's referral cache is cleared. When client failback is configured, and clients have the appropriate client failback hotfix installed, clients will fail back to a preferred, local server when it is restored. For more information about client failback, see Referral properties.

Better delegation

You can easily delegate the ability to create domain-based namespaces and manage individual stand-alone and domain-based namespaces. The DFS Management snap-in sets the appropriate permissions on either the DFS Namespace configuration objects in Active Directory or in the namespace server’s registry (depending on the namespace type). For more information about delegation, see Security requirements for creating and managing namespaces.

Ability to restructure the namespace

Renaming or moving folders in the namespace is easy when you use the DFS Management snap-in. You can restructure the namespace to correct mistakes or to adjust the hierarchy as business needs change or as new folders are added to the namespace. You can also move namespace folders by using the updated version of the command-line tool, Dfscmd.exe.


Namespaces Overview

This section covers:

  • Introduction to namespaces

  • Types of namespaces

  • Namespace folders and folder targets

  • Namespace servers

  • Namespace limits

  • Namespace clients

  • Security requirements for creating and managing namespaces

  • Considerations for hosting namespaces on servers running a mix of Windows Server 2003 and Windows 2000 Server


Introduction to namespaces

With DFS Namespaces technology, you can group shared folders located on different servers by transparently connecting them to one or more namespaces. A namespace is a virtual view of shared folders in an organization. When a user views the namespace, the folders appear to reside on a single hard disk. Users can navigate the namespace without needing to know the server names or shared folders hosting the data.

The path to a namespace is similar to a Universal Naming Convention (UNC) path to a shared folder, such as \\Server1\Public\Software\Tools. If you are familiar with UNC paths, you know that in this example, the shared folder Public and its subfolders Software and Tools are all hosted on Server1. Now, assume that you want to give users a single place to locate data, but you want to host data on different servers for availability and performance purposes. To do this, you can deploy a namespace similar to the one shown in the following figure. The elements of this namespace are described after the figure.

DFS Namespaces technology elements
  • Namespace server. A namespace server hosts a namespace. The namespace server can be a member server or domain controller.

  • Namespace root. The namespace root is the starting point of the namespace. In the previous figure, the name of the root is Public, and the namespace path is \\Contoso\Public. This type of namespace is known as a domain-based namespace because it begins with a domain name (for example, Contoso) and its metadata is stored in the Active Directory® directory service. Although a single namespace server is shown in the previous figure, a domain-based namespace can be hosted on multiple namespace servers to increase the availability of the namespace.

  • Folder. Folders help build the namespace hierarchy. Folders can optionally have folder targets. When users browse a folder with targets in the namespace, the client computer receives a referral that transparently redirects the client computer to one of the folder targets.

  • Folder targets. A folder target is a UNC path of a shared folder or another namespace that is associated with a folder in a namespace. In the previous figure, the folder named Tools has two folder targets, one in London and one in New York, and the folder named Training Guides has a single folder target in New York. A user who browses to \\Contoso\Public\Software\Tools is transparently redirected to the shared folder \\LDN-SVR-01\Tools or \\NYC-SVR-01\Tools, depending on which site the user is in.

See Also

  • Microsoft Web site


Types of namespaces

When creating a namespace, you create either a stand-alone namespace or a domain-based namespace. The characteristics of each namespace type are described in the following table.

Characteristic | Domain-based Namespace | Stand-Alone Namespace
Path to namespace | \\NetBIOSDomainName\RootName \\DNSDomainName\RootName | \\ServerName\RootName
Where namespace information is stored | In Active Directory and in a memory cache on each namespace server | In the registry and in a memory cache on the namespace server
Namespace size recommendations | We recommend that you keep the size of the namespace object in Active Directory to less than 5 megabytes (MB) by using fewer than 5,000 folders with targets in domain-based namespaces. (The namespace object is where namespace metadata is stored in Active Directory.) | The largest recommended namespace size for a stand-alone namespace is 50,000 folders with targets.
Supported methods to ensure namespace availability | Use multiple namespace servers to host the namespace. (The namespace servers must be in the same domain.) | Create a stand-alone namespace on a server cluster using the Cluster Administrator snap-in.
Support for using DFS Replication to replicate folder targets | Supported | Supported

Use the following guidelines to choose a namespace type.

Choose stand-alone namespaces if:

  • Your organization does not use Active Directory.

  • You need to create a single namespace with more than 5,000 folders with targets. (If you can divide your folder targets among two or more namespaces, a domain-based namespace is an option.)

  • You want to ensure the availability of the namespace by using a server cluster.

Choose domain-based namespaces if:

  • You want to ensure the availability of the namespace by using multiple namespace servers.

  • You want to hide the name of the namespace server from users because you plan to replace the namespace server or migrate the namespace to another server in the future.

See Also


Namespace folders and folder targets

Folders are the primary elements of a namespace. They appear after the namespace root (\\ServerOrDomainName\RootName) and help build the hierarchy of the namespace. When you create a folder using the DFS Management snap-in, you type a name for the folder and specify whether to add any folder targets. A folder target is a Universal Naming Convention (UNC) path to one of the following locations:

  • A shared folder

  • A folder within a shared folder

  • A path to another namespace

You can specify multiple folder targets to increase the redundancy of the folder. If one of the folder targets is not available, the client will attempt to access one of the other available targets. (The order in which clients attempt to access targets is defined by the ordering method described in Referral properties.)

When adding folder targets, it is important to follow these guidelines:

  • If you specify a domain-based namespace as a folder target (either the namespace root or a folder within that namespace), you cannot specify alternate folder targets. (Windows Server 2003 R2 operating systems enforce this restriction.)

  • If you plan to specify a stand-alone namespace as a folder target (either the namespace root or a folder within that namespace), you can specify alternate folder targets that are either stand-alone namespace roots or folders within the stand-alone namespace. Do not specify domain-based namespace roots or shared folders as alternate targets.

See Also


Namespace servers

A namespace server is a domain controller or member server that hosts a namespace. The number of namespaces you can host on a server is determined by the operating system running on the namespace server.

Servers running the following operating systems can host a single namespace:

  • Windows Server 2003 R2, Standard Edition

  • Windows Server 2003, Web Edition

  • Windows Server 2003, Standard Edition

  • Any version of Windows® 2000 Server

Important

To create multiple domain-based namespaces on a server running Windows Server 2003, Standard Edition, install the hotfix described in article 903651 in the Microsoft Knowledge Base on the Microsoft Web siteMicrosoft Web site (http://go.microsoft.com/fwlink?linkid=53476).

The following servers can host multiple namespaces:

  • Windows Server 2003 R2, Enterprise Edition

  • Windows Server 2003 R2, Datacenter Edition

  • Windows Server 2003, Enterprise Edition

  • Windows Server 2003, Datacenter Edition

The following table describes additional factors to consider when choosing servers to host a namespace.

Guidelines for Servers That Host Namespaces

Server Hosting Stand-Alone Namespaces Server Hosting Domain-based Namespaces
  • Must contain an NTFS volume to host the namespace.

  • Can be a member server or domain controller.

  • Can be a clustered file server.
  • Must contain an NTFS volume to host the namespace.

  • Must be a member server or domain controller in the domain in which the namespace is configured. (This requirement applies to every namespace server that hosts a given domain-based namespace.)

  • The namespace cannot be a clustered resource in a server cluster. However, you can locate the namespace on a server that also functions as a node in a server cluster if you configure the namespace to use only local resources on that server.

See Also


Namespace limits

When adding folders to namespaces, keep the following recommendations in mind:

  • For stand-alone namespaces, we recommend a maximum of 50,000 folders with targets.

  • For domain-based namespaces, we recommend keeping the namespace object in Active Directory to 5 megabytes (MB) or less (equivalent to about 5,000 folders with targets).

Note

Folders without folder targets do not count against these limits.

To make it easy for you to check the size of your namespace, the namespace size is shown in the Namespace Properties dialog box. To view this, right-click the namespace in the console tree, and then click Properties.

See Also


Namespace clients

Clients running versions of the following operating systems can access namespaces:

  • Windows Server 2003 R2

  • Windows Server 2003

  • Windows Storage Server 2003

  • Windows XP

  • Windows Preinstallation Environment (Windows PE) (Can access stand-alone namespaces, but cannot access domain-based namespaces.)

  • Windows 2000 Server

  • Windows 2000 Professional

  • Windows NT® Server 4.0 with Service Pack 6a

  • Windows NT Workstation 4.0 with Service Pack 6a

See Also


Security requirements for creating and managing namespaces

The following table describes the groups that can perform basic namespace tasks by default, and the method for delegating the ability to perform these tasks.

Task | Groups That Can Perform This Task By Default | Delegation Method
Create a domain-based namespace | Domain Admins group in the domain where the namespace is configured | Right-click the Namespace node in the console tree, and then click Delegate Management Permissions. You must also add the user to the Local Administrators group on the namespace server.
Add a namespace server to a domain-based namespace | Domain Admins group in the domain where the namespace is configured | Right-click the domain-based namespace in the console tree, and then click Delegate Management Permissions. You must also add the user to the Local Administrators group on the namespace server to be added.
Manage a domain-based namespace | Local Administrators group on each namespace server | Right-click the domain-based namespace in the console tree, and then click Delegate Management Permissions.
Create a stand-alone namespace | Local Administrators group on the namespace server | Add the user to the local Administrators group on the namespace server.
Manage a stand-alone namespace* | Local Administrators group on the namespace server | Right-click the stand-alone namespace in the console tree, and then click Delegate Management Permissions.
Create a replication group or enable DFS Replication on a folder | Domain Admins group in the domain where the namespace is configured | Right-click the Replication node in the console tree, and then click Delegate Management Permissions.

* Delegating management permissions to manage a stand-alone namespace does not grant the user the ability to view and manage security using the Delegation tab. This issue occurs because the DFS Management snap-in cannot retrieve the discretionary access control lists (DACLs) for the stand-alone namespace from the registry. To enable the snap-in to display delegation information, you must follow the steps in article 314837 in the Microsoft Knowledge Base on the Microsoft Web siteMicrosoft Web site (http://go.microsoft.com/fwlink?linkid=46803).

See Also


Considerations for hosting namespaces on servers running a mix of Windows Server 2003 and Windows 2000 Server

It is possible to host namespaces on domain controllers and member servers running a mix of Windows 2000 Server, Windows Server 2003 R2, and Windows Server 2003 without Service Pack 1 (SP1), but some functionality is disabled or available inconsistently, depending on the operating systems on the servers. Some examples of mixed-mode behavior are as follows:

  • If domain controllers or namespace servers are running Windows Server 2003 without SP1 or without Windows Server 2003 R2, they cannot provide referrals that support target priority or client failback.

  • If domain controllers or namespace servers are running Windows 2000 Server, they cannot provide referrals that support target server priority or client failback; nor can they order targets by lowest cost in referrals. Additional configuration is required to enable these namespace servers and domain controllers to detect the site of each target server in the namespace. For details, see Update the static site table on namespace servers running Windows 2000 Server.

  • If the DFS Management snap-in connects to a namespace server that is not running Windows Server 2003 with SP1 or R2 versions of Windows Server 2003, none of the new configuration settings (such as client failback or target priority) can be enabled. Renaming or moving namespace folders will not work, and delegation will not be effective.

See Also


Getting Started With Namespaces

How to…

  • Deploy a namespace for publishing content

  • Increase the availability of a namespace


Deploy a namespace for publishing content

DFS Namespaces and DFS Replication can be used to publish documents, software, and line-of-business data to users throughout an organization. Although DFS Replication alone is sufficient to distribute data, you can use DFS Namespaces to configure the namespace so that a folder in the namespace is hosted by multiple servers, each of which holds a replica of the published content in that folder. This increases data availability and distributes the client load across servers.

When browsing a folder in the namespace, users are not aware that the folder is hosted by multiple servers. When a user opens the folder, the client computer is automatically referred to a server in its own site; if no same-site servers are available, you can configure the namespace to refer the client to a server that has the lowest connection cost as defined in Active Directory. In addition, using a DFS Namespaces enhancement known as target priority, you can specify the priority of servers so that a specific server is always placed first or last in the list of servers (known as a referral) the client receives when accessing a folder with targets in the namespace.

To configure a namespace for publication, perform the following procedures as specified:

  1. Create a namespace

  2. Create a folder in a namespace

  3. Add folder targets

  4. Set the ordering method for targets in referrals

  5. Set target priority to override referral ordering (Optional)

  6. Enable client failback (Optional)

  7. Replicate folder targets using DFS Replication (Optional)


Increase the availability of a namespace

To ensure that the namespace and its folders are still available if a server fails, you can add multiple namespace servers (for domain-based namespaces) and multiple folder targets for each folder. You can optionally use DFS Replication to keep the contents of the folder targets synchronized.

The procedures for increasing the availability of a namespace are as follows:

  1. Add namespace servers to a domain-based namespace

  2. Add folder targets

  3. Replicate folder targets using DFS Replication (Optional)

Note

To increase the availability of a stand-alone namespace, you must use the Cluster Administrator snap-in to create a stand-alone namespace on a server cluster.


Creating and Managing Namespaces

This section covers:

  • Deploying a Namespace

  • Increasing the Availability of a Namespace

  • Optimizing a Namespace

  • Managing Namespaces Hosted on Multiple Server Operating Systems


Deploying a Namespace

How to…

  • Create a namespace

  • Create a folder in a namespace

  • Delegate management permissions for an existing namespace

  • Delegate the ability to create new domain-based namespaces


Create a namespace

To create a namespace

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, right-click the Namespaces node, and then click New Namespace.

  3. Follow the instructions in the New Namespace Wizard.

Note

  • Security requirements for performing this task are described in Security requirements for creating and managing namespaces.

See Also

  • Delegate the ability to create new domain-based namespaces
  • Namespace servers
  • Types of namespaces
  • Namespace folders and folder targets


Create a folder in a namespace

To create a folder in a namespace

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a namespace or a folder within a namespace, and then click New Folder.

  3. In the Name box, enter the name of the new folder.

  4. To add one or more folder targets to the folder, click Add and specify the Universal Naming Convention (UNC) path of the folder target, and then click OK.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Namespace folders and folder targets


Delegate management permissions for an existing namespace

To delegate management permissions for an existing namespace

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click the namespace for which you want to delegate management permissions, and then click Delegate Management Permissions.

  3. Type user names or group names separated by commas, click Check Names to verify the objects, and then click OK.

Note

  • Security requirements for performing this task are described in Security requirements for creating and managing namespaces.

See Also


Delegate the ability to create new domain-based namespaces

To delegate the ability to create new domain-based namespaces

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. Right-click the Namespaces node, and then click Delegate Management Permissions.

  3. Click Add to add users or groups to the list of delegated users and groups.

  4. Type user names or group names separated by commas, click Check Names to verify the objects, and then click OK.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory.

See Also

  • Security requirements for creating and managing namespaces


Increasing the Availability of a Namespace

How to…

  • Add namespace servers to a domain-based namespace

  • Add folder targets

  • Replicate folder targets using DFS Replication


Add namespace servers to a domain-based namespace

You can increase the availability of a domain-based namespace by specifying additional namespace servers to host the namespace.

To add a namespace server to a domain-based namespace

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a domain-based namespace, and then click Add Namespace Server.

  3. Enter the path to another server or click Browse to locate a server.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the appropriate authority. You must also be a member of the local Administrators group on the servers to be added to the namespace.

  • This procedure is not applicable for stand-alone namespaces because stand-alone namespaces can only support a single namespace server. To increase the availability of a stand-alone namespace, you must use the Cluster Administrator snap-in to create the namespace on a server cluster.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Namespace servers
  • Considerations for hosting namespaces on servers running a mix of Windows Server 2003 and Windows 2000 Server


Add folder targets

A folder target is a Universal Naming Convention (UNC) path of a shared folder or another namespace that is associated with a folder in a namespace. Adding multiple folder targets increases the availability of the folder in the namespace.

To add a folder target

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder, and then click Add Folder Target.

  3. Type the path to the folder target or click Browse to locate the folder target.

  4. If the folder is replicated using DFS Replication, you can specify whether to add the new folder target to the replication group.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Replicate folder targets using DFS Replication


Replicate folder targets using DFS Replication

You can use DFS Replication to keep the contents of folder targets in sync so that users see the same files regardless of which folder target the client computer is referred to.

To replicate folder targets using DFS Replication

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder that has two or more folder targets, and then click Replicate Folder.

  3. Follow the instructions in the Replicate Folder Wizard.

Important

  • Replication does not begin immediately. The topology and DFS Replication settings must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the appropriate authority.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate management permissions for an existing namespace
  • Introduction to DFS Replication
  • DFS Replication requirements
  • Replication groups and replicated folders
  • Replication topologies
  • Replication schedules and bandwidth
  • What to expect during initial replication


Optimizing a Namespace

How to…

  • Rename or move a folder

  • Enable or disable referrals to a folder target

  • Change the amount of time that clients cache referrals

  • Set the ordering method for targets in referrals

  • Set target priority to override referral ordering

  • Enable client failback

  • Optimize namespace polling


Rename or move a folder

To rename a folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder, and then click Rename Folder.

  3. Type the new name in the New Name field.
To move a folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder, and then click Move Folder.

  3. Enter the folder path in the New location field or click Browse to locate a folder.

Notes

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

  • You can also drag and drop folders in the console tree.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace


Enable or disable referrals to a folder target

A referral is an ordered list of targets that a client computer receives from a domain controller or namespace server when the user accesses a namespace root or folder with targets in the namespace. After the client receives the referral, the client attempts to access the first target in the list; if the target is not available, the client attempts to access the next target.

By disabling a folder target's referral, you can prevent the client from ever being directed to that folder target when accessing the folder in the namespace.

To enable or disable referrals to a folder target

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, click a folder with targets, and then click the Folder Targets tab in the details pane.

  3. Right-click the folder target, and then click one of the following options:

    • To enable the referral, select Enable Folder Target.

    • To disable the referral, select Disable Folder Target.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Referral properties


Change the amount of time that clients cache referrals

A referral is an ordered list of targets that a client computer receives from a domain controller or namespace server when the user accesses a namespace root or folder with targets in the namespace. You can adjust how long clients cache a referral before requesting a new one.

To change the amount of time that clients cache namespace root referrals

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a namespace, and then click Properties.

  3. On the Referrals tab, in the Cache duration (in seconds) box, type the amount of time (in seconds) that clients cache namespace root referrals. The default setting is 300 seconds or five minutes.
To change the amount of time that clients cache folder referrals

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder that has targets, and then click Properties.

  3. On the Referrals tab, in the Cache duration (in seconds) box, type the amount of time (in seconds) that clients cache folder referrals in the Cache duration (in seconds) box. The default setting is 1800 seconds or 30 minutes.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Referral properties


Set the ordering method for targets in referrals

A referral is an ordered list of targets that a client computer receives from a domain controller or namespace server when the user accesses a namespace root or folder with targets in the namespace. After the client receives the referral, the client attempts to access the first target in the list; if the target is not available, the client attempts to access the next target.

Targets in the client's site are always listed first in a referral. Targets outside of the client's site are listed according to the ordering method. The ordering methods are described in Referral properties.

Use the following procedure to set the ordering method on the namespace root.

To set the ordering method for targets in namespace root referrals

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a namespace, and then click Properties.

  3. On the Referrals tab, select an ordering method.

Folders with targets inherit the ordering method from the namespace root. You can override the ordering method by using the following procedure.

To set the ordering method for targets in folder referrals

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder with targets, and then click Properties.

  3. On the Referrals tab, select the Exclude targets outside of the client's site check box.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Referral properties


Set target priority to override referral ordering

A referral is an ordered list of targets that a client computer receives from a domain controller or namespace server when the user accesses a namespace root or folder with targets in the namespace. Each target in a referral is ordered according to the ordering method for the namespace root or folder. To refine how targets are ordered, you can set priority on individual targets. For example, you can specify that the target is first among all targets, last among all targets, or first (or last) among all targets of equal cost.

To set target priority on a root target for a domain-based namespace, use the following procedure.

To set target priority on a root target for a domain-based namespace

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, click the namespace whose root targets you want to set priority on.

  3. In the details pane, on the Namespace Servers tab, right-click the root target whose priority you want to change, and then click Properties.

  4. On the Advanced tab, click Override referral ordering, and then click the priority you want.

To set target priority on a folder target, use the following procedure.

To set target priority on a folder target

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, click the folder whose targets you want to set priority on.

  3. In the details pane, on the Folder Targets tab, right-click the folder target whose priority you want to change, and then click Properties.

  4. On the Advanced tab, click Override referral ordering, and then click the priority you want.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Target priority


Enable client failback

A referral is an ordered list of targets that a client computer receives from a domain controller or namespace server when the user accesses a namespace root or folder with targets in the namespace. If a target becomes unavailable, you can configure clients to fail back to the target after it is restored.

To enable client failback for a namespace root

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a namespace, and then click Properties.

  3. On the Referrals tab, click the Clients fail back to preferred targets check box.

Folders with targets inherit client failback settings from the namespace root. If client failback is disabled on the namespace root, you can use the following procedure to enable client failback on a folder with targets.

To enable client failback for a folder with targets

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a folder with targets, and then click Properties.

  3. On the Referrals tab, click the Clients fail back to preferred targets check box.

Notes

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

  • For failback to work, client computers must run the operating systems and hotfixes described in Referral properties.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Referral properties


Optimize namespace polling

To maintain a consistent domain-based namespace across namespace servers, it is necessary for namespace servers to periodically poll Active Directory to obtain the most current namespace data. You can use this procedure to optimize how this polling occurs.

To optimize namespace polling

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Namespaces node, right-click a namespace, and then click Properties.

  3. On he Advanced tab, select whether the namespace will be optimized for consistency or scalability.

Note

  • To perform this procedure, you must be a member of the Local Administrators group on each server that hosts the namespace, or you must have been delegated the ability to manage an existing namespace.

See Also

  • Security requirements for creating and managing namespaces
  • Delegate management permissions for an existing namespace
  • Polling properties


Managing Namespaces Hosted on Multiple Server Operating Systems

How to…

  • Update the static site table on namespace servers running Windows 2000 Server


Update the static site table on namespace servers running Windows 2000 Server

If you want referrals from namespace servers and domain controllers running Microsoft Windows 2000 Server operating systems to be ordered according to site information, you can use the /UpdateWin2kStaticSiteTable parameter in Dfsutil.exe to update the static site information for all root targets and folder targets in the namespace object in Active Directory.

To update the static site table

  1. Install Dfsutil.exe, which is part of the Windows Support Tools. You can install the Windows Support Tools by running Suptools.msi in the \Support\Tools folder on your Windows Server 2003 R2 operating system CD.

  2. At the command prompt, type the following command:

    Dfsutil /root:<Namespacepath> /UpdateWin2kStaticSiteTable

    For example, to update the namespace \\Contoso\Public, type:

    Dfsutil /root:\\Contoso\Public /UpdateWin2kStaticSiteTable

Notes

  • This procedure applies only to domain-based namespaces.

  • Using this parameter increases the size of the namespace object in Active Directory, possibly making it exceed the recommended 5-MB size limit.

  • This command must be run each time a target server’s site information is changed, such as after the target is moved to another site or after the target’s site name changes.

See Also

  • Considerations for hosting namespaces on servers running a mix of Windows Server 2003 and Windows 2000 Server


This content might have been updated. For the most recent version, see the Windows Server 2003 R2 TechCenter Web site

Namespace Properties

This section covers:

  • Referral properties

  • Polling properties

  • Target priority


Referral properties

The following options are available when you view the properties of a namespace root or folder with targets.

Amount of time clients cache referrals

When this option is available: Available when the DFS Management snap-in connects to a namespace server that is running a version of one of the following operating systems: Windows Server 2003 R2, Windows Server 2003 with Service Pack 1 (SP1), Windows Server 2003, and Windows 2000 Server.

Supported namespace types: Domain-based; stand-alone.

Supported namespace server operating systems: Windows Server 2003 and Windows 2000 Server.

Supported clients: All supported namespace clients.

Where configured: Namespace properties, Referrals tab; Folder properties, Referrals tab.

For clients that are not running Windows XP with Service Pack 2 (SP2) or Windows Server 2003 with SP1, the cache duration determines the earliest time that a client computer will request a new referral if the existing cached referral expires before it is accessed again. Clients that use a cached referral will renew the cache duration value of the referral each time a file or folder is accessed using the referral and, thus, use the referral indefinitely until the client’s referral cache is cleared or the client is restarted.

This behavior is different for clients running Windows XP with SP2 or Windows Server 2003 with SP1. Specifically, the cache duration is not renewed each time a client accesses a target using a cached referral. Instead, the referral expires after the cache duration value lapses.

One benefit of this change is that namespace clients running Windows XP with SP2 or Windows Server 2003 with SP1 will more quickly discover changes to namespaces and namespace folders. For example, if the folder targets of a folder named Current are changed daily, namespace clients without Windows XP with SP2 or Windows Server 2003 with SP1 would refresh the duration value each time they access the Current folder, causing them to continue to reference stale folder targets well beyond the duration value associated with the initial referral request.

To change the amount of time that clients cache referrals, see Change the amount of time that clients cache referrals.

Ordering methods for targets in referrals

When this option is available: Available when the DFS Management snap-in connects to a namespace server that is running a version of one of the following operating systems: Windows Server 2003 R2 or Windows Server 2003 with SP1.

Supported namespace types: Domain-based; stand-alone.

Supported namespace server operating systems: Windows Server 2003; namespace servers running Windows 2000 Server cannot provide referrals based on lowest cost.

Supported clients: All supported namespace clients.

Where configured: Namespace properties, Referrals tab; Folder properties, Referrals tab.

When a client computer attempts to access a namespace, a domain controller or namespace server provides a referral to the client. The referral contains a list of target servers that are sorted according to the currently configured ordering method. When a client accesses the namespace root or a folder with targets in the namespace, the client attempts to access the first target at the top of the referral; the client moves to the next target if the prior target was not available.

The three ordering methods are:

Random order

In this method, targets are ordered as follows:

  1. Targets in the same Active Directory site as the client are listed in random order at the top of the referral.

  2. Next, targets outside of the client’s site are listed in random order.

If no same-site target servers are available, the client computer is referred to a random target server no matter how expensive the connection is or how distant the target is.

Lowest cost

In this method, targets are ordered as follows:

  1. Targets in the same site as the client are listed in random order at the top of the referral.

  2. Next, targets outside of the client’s site are listed in order of lowest cost to highest cost. Referrals with the same cost are grouped together and within each group the targets are listed in random order.

Note

Site link costs are not shown in the DFS Management snap-in. To view site link costs, use the Active Directory Sites and Services snap-in.

Exclude targets outside of the client's site

In this method, the referral contains only the targets that are in the same site as the client. These same-site targets are listed in random order. If no same-site targets exist, the client does not receive a referral and cannot access that portion of the namespace.

Note

Targets that have target priority set to "First among all targets" or "Last among all targets" are still listed in the referral, even if the ordering method is set to Exclude targets outside of the client's site.

To change the ordering method, see Set the ordering method for targets in referrals.

Clients failback to preferred targets

When this option is available: Available when the DFS Management snap-in connects to a namespace server that is running a version of one of the following operating systems: Windows Server 2003 R2 or Windows Server 2003 with SP1.

Supported namespace types: Domain-based; stand-alone.

Supported namespace server operating systems: Windows Server 2003 with SP1.

Supported clients: Windows XP with SP2 and the Windows XP client failback hotfix; Windows Server 2003 with SP1 and the Windows Server 2003 client failback hotfix. These hotfixes are described in article 898900 in the Microsoft Knowledge Base on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=53202).

Where configured: Namespace properties, Referrals tab; Folder properties, Referrals tab.

Client failover in DFS Namespaces is the process in which a client attempts to access another target in a referral after one of the targets becomes unavailable due to a server or network failure, or due to the target being removed from the namespace. After failover, the client might access a non-optimal target, such as a target with a high site link cost with respect to the client, and the client will continue to access the remote server even after the local server is restored. If you want clients to fail back to a preferred local server when it is restored, select the Clients fail back to preferred targets check box.

Note

When a preferred local server is available, all new file accesses will be to the local server. Files that are currently open will be accessed from the non-preferred server until that file is closed.

To enable client failback, see Enable client failback.

See Also


Polling properties

When this option is available: Available when the DFS Management snap-in connects to a namespace server that is running a version of Windows Server 2003 R2 or Windows Server 2003 with Service Pack 1 (SP1).

Supported namespace types: Domain-based only.

Where configured: Namespace properties, Advanced tab.

To maintain a consistent domain-based namespace across namespace servers, it is necessary for namespace servers to periodically poll Active Directory to obtain the most current namespace data.

You can optimize how this polling occurs by choosing one of the following options:

Optimize for consistency

Supported namespace server operating systems: Windows Server 2003 and Windows 2000 Server.

In this mode, which is enabled by default, the Distributed File System service attempts to keep the domain-based namespace highly consistent on all namespace servers. This consistency is achieved as follows:

  • Namespace servers running Windows Server 2003 and Windows 2000 Server poll the primary domain controller (PDC) emulator every hour by default.

  • Namespace servers running Windows Server 2003 poll the PDC emulator after the namespace changes to obtain the updated namespace data without needing to wait for Active Directory replication to replicate the updated namespace object to all domain controllers. However, this process can cause an increased load on the PDC emulator in namespaces that have more than 16 namespace servers and in namespaces that change frequently.

This mode is recommended only for domain-based namespaces that are hosted by fewer than 16 namespace servers. For namespaces hosted by more than 16 namespace servers, we recommend choosing the Optimize for scalability option.

Optimize for scalability

Supported namespace server operating systems: Windows Server 2003.

This mode, also known as root scalability mode, allows organizations to use more than the recommended 16 namespace servers for hosting a domain-based namespace in consistency mode. When root scalability mode is enabled, namespace servers do not send change notification messages to other namespaces servers when the namespace changes, nor do they poll the PDC emulator every hour. Instead, they poll their closest domain controller every hour to discover updates to the namespace.

Root scalability mode reduces network traffic to the PDC emulator at the expense of faster updates to all namespaces servers. Updates are still made to the namespace object in Active Directory on the PDC emulator, but namespace servers do not discover those changes until the updated namespace object replicates (using Active Directory replication) to the closest domain controller for each namespace server. After root scalability mode is enabled, clients might have an inconsistent view of the namespace until the most up-to-date version of the namespace object is replicated to all domain controllers and the namespaces servers poll a domain controller to discover the changes.

Note

Namespace servers running Windows 2000 Server continue to poll the PDC emulator every hour by default, even if this option is selected.

To change the polling method, see Optimize namespace polling.

See Also


Target priority

When this option is available: Available when the DFS Management snap-in connects to a namespace server that is running a version of Windows Server 2003 with Service Pack 1 (SP1) or Windows Server 2003 R2.

Supported namespace types: Domain-based (folder targets and root targets); stand-alone (folder targets only).

Supported namespace server operating systems: Windows Server 2003 with SP1 and Windows Server 2003 R2.

Supported clients: All supported namespace clients.

Where configured: Namespace server properties, Advanced tab; Folder Target properties, Advanced tab.

By assigning target priority for individual root targets or folder targets, you can specify whether a target server appears first or last in a referral. Assigning target priority is useful in many scenarios, such as "hot standby" scenarios where one server is considered the server of last resort. In this scenario, you can specify that the standby server always appears last in referrals, and clients will fail over to this server only if all the other servers fail or become unavailable due to network outages. If multiple servers are configured for always first (or last), then those servers will be sorted based on the overall prioritization (random or lowest cost).

To change target priority, see Set target priority to override referral ordering.


Replication

This section covers:

  • DFS Replication Overview

  • Getting Started With DFS Replication

  • Configuring and Managing DFS Replication

  • DFS Replication Properties


DFS Replication Overview

This section covers:

  • Introduction to DFS Replication

  • Replication groups and replicated folders

  • Security requirements for setting up and managing DFS Replication

  • DFS Replication requirements

  • DFS Replication limits

  • What to expect during initial replication


Introduction to DFS Replication

DFS Replication, the successor to the File Replication service (FRS) introduced in Windows 2000 Server operating systems, is a new, state-based, multimaster replication engine that supports replication scheduling and bandwidth throttling. DFS Replication uses a new compression algorithm known as remote differential compression (RDC). RDC is a "diff-over-the wire" client-server protocol that can be used to efficiently update files over a limited-bandwidth network. RDC detects insertions, removals, and re-arrangements of data in files, enabling DFS Replication to replicate only the changed file blocks when files are updated.

DFS Replication uses many sophisticated processes to keep data synchronized on multiple servers. Before you begin using DFS Replication, it is helpful to understand the following concepts.

  • DFS Replication is a multimaster replication engine. Any change that occurs on one member is replicated to all other members of the replication group.

  • DFS Replication detects changes on the volume by monitoring the update sequence number (USN) journal, and DFS Replication replicates changes only after the file is closed.

  • DFS Replication uses a staging folder to stage a file before sending or receiving it. For more information about staging folders, see Staging folders and Conflict and Deleted folders.

  • DFS Replication uses a version vector exchange protocol to determine which files need to be synchronized. The protocol sends less than 1 kilobyte (KB) per file across the network to synchronize the metadata associated with changed files on the sending and receiving members.

  • When a file is changed, only the changed blocks are replicated, not the entire file. The RDC protocol determines the changed file blocks. Using default settings, RDC works for any type of file larger than 64 KB, transferring only a fraction of the file over the network.

  • DFS Replication uses a conflict resolution heuristic of last writer wins for files that are in conflict (that is, a file that is updated at multiple servers simultaneously) and earliest creator wins for name conflicts. Files and folders that lose the conflict resolution are moved to a folder known as the Conflict and Deleted folder. You can also configure the service to move deleted files to the Conflict and Deleted folder for retrieval should the file or folder be deleted. For more information, see Staging folders and Conflict and Deleted folders.

  • DFS Replication is self-healing and can automatically recover from USN journal wraps, USN journal loss, or loss of the DFS Replication database.

  • DFS Replication uses a Windows Management Instrumentation (WMI) provider that provides interfaces to obtain configuration and monitoring information from the DFS Replication service.

See Also


Replication groups and replicated folders

Replication groups and replicated folders are two important components of DFS Replication. They are illustrated in the following figure.

DFS Replication Groups and Folders

As this figure shows, a replication group is a set of servers, known as members, that participates in the replication of one or more replicated folders. A replicated folder is a folder that is kept synchronized on each member. In the figure, there are two replicated folders, Projects and Proposals. As data changes in each replicated folder, the changes are replicated across connections between the members of the replication group. The connections between all members form the replication topology.

Creating multiple replicated folders in a single replication group simplifies the process of deploying replicated folders because the topology, schedule, and bandwidth throttling for the replication group are applied to each replicated folder. To deploy additional replicated folders, you can use Dfsradmin.exe or a brief wizard to define the local path and permissions for the new replicated folder. Each replicated folder also has its own settings, such as file and subfolder filters, so that you can filter out different files and subfolders for each replicated folder.

The replicated folders stored on each member can be located on different volumes in the member, and the replicated folders do not need to be shared folders or part of a namespace, though the DFS Management snap-in makes it easy to share replicated folders and optionally publish them in an existing namespace.

See Also


Security requirements for setting up and managing DFS Replication

The following table describes the groups that can perform basic DFS Replication tasks by default and the method for delegating the ability to perform these tasks.

Task Users or Groups That Can Perform This Task By Default Delegation Method

Create a replication group or enable DFS Replication on a folder that has folder targets

Domain Admins group in the domain where the replication group will be created.

Right-click the Replication node in the console tree, and then click Delegate Management Permissions.

Administer a replication group

Domain Admins group in the domain where the replication group is configured, or the creator of the replication group.

Right-click the replication group in the console tree, and then click Delegate Management Permissions.

Add a server to a replication group1, 2

If the server is a member server, the user must be a member of the local Administrators group of the server to add.

If the server is a domain controller, the user must be a member of the Domain Admins group in the domain where the server is located.

Add the user to local Administrators group of the member server to add, or add the user to the Domain Admins group of the domain controller to add.

1Assumes that the user has been delegated the ability to administer the replication group.

2The server to be added must be online.

If you plan to delegate the ability to create and administer replication groups, note the following two important considerations:

  • If you delegate to a user or group the ability to create replication groups, and you later remove the user or group from the delegation list, there is no change to the security settings on existing replication groups.

  • If you delegate to a user or group the ability to administer a specific replication group, and you later remove the user or group from the delegation list, there is no change to the security settings on any existing configuration data. For example, if the user who is being removed had created a connection in the replication group, then the user would still have permissions to edit that connection because the user is the owner of the Active Directory object that contains the configuration information for the connection.

See Also


DFS Replication requirements

Before you can deploy DFS Replication, you must configure servers as follows:

  • The Active Directory schema must be updated to include the new DFS Replication objects.

    To upgrade the schema, on the schema operations master, run adprep.exe /forestprep. The Adprep.exe command-line tool is available in the Cmpnents\R2\Adprep folder on the second Windows Server 2003 R2 installation CD.

  • The servers that will participate in DFS Replication must run a Windows Server 2003 R2 operating system. After you install Windows Server 2003 R2, you must install the DFS Replication service on each server that will take part in replication, and you must install the DFS Management snap-in on one server to manage replication. For installation instructions, see Installing the DFS Management Snap-in and DFS Replication Service.

  • Antivirus software must be compatible with DFS Replication; contact your antivirus software vendor to check for compatibility.

  • Servers in a replication group must be in the same forest. You cannot enable replication across servers in different forests.

  • Replicated folders must be stored on NTFS volumes.

  • On server clusters, replicated folders must be located in the local storage of a node because the DFS Replication service is not designed to work in a coordinated way with cluster components, and the service will not fail over to another node.

See Also


DFS Replication limits

We recommend that your deployments approach but not exceed the following tested limits:

  • Each server can be a member of up to 256 replication groups.

  • Each replication group can contain up to 256 replicated folders.

  • Each server can have up to 256 connections (for example, 128 incoming connections and 128 outgoing connections).

  • On each server, the number of replication groups multiplied by the number of replicated folders multiplied by the number of connections must be kept to 1024 or fewer.

  • A replication group can contain up to 256 members.

  • A volume can contain up to 8 million replicated files, and a server can contain up to 1 terabyte of replicated files.

See Also


What to expect during initial replication

When you first set up replication, you must choose a primary member. Choose the member that has the most up-to-date files that you want replicated to all other members of the replication group, because the primary member's content is considered "authoritative." This means that during initial replication, the primary member's files will always win the conflict resolution that occurs when the receiving members have files that are older or newer compared to the same files on the primary member.

The following concepts will help you better understand the initial replication process:

  • Initial replication does not begin immediately. The topology and DFS Replication settings must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

  • Initial replication always occurs between the primary member and the receiving replication partners of the primary member. After a member has received all files from the primary member, then that member will replicate files to its receiving partners as well. In this way, replication for a new replicated folder starts from the primary member and then progresses out to the other members of the replication group.

  • When receiving files from the primary member during initial replication, the receiving members that contain files that are not present on the primary member move those files to their respective DfsrPrivate\PreExisting folder. If a file is identical to a file on the primary member, the file is not replicated. If the version of a file on the receiving member is different from the primary member’s version, the receiving member's version is moved to the Conflict and Deleted folder and remote differential compression (RDC) can be used to download only the changed blocks.

  • To determine whether files are identical on the primary member and receiving member, DFS Replication compares the files using a hash algorithm. If the files are identical, only minimal metadata is transferred.

  • After the initialization of the replicated folder, the "primary member" designation is removed. (Initialization takes place after all files that exist before DFS Replication picks up the configuration are added to the DFS Replication database.) That member is then treated like any other member and its files are no longer considered authoritative over other members that have completed initial replication. Any member that has completed initial replication is considered authoritative over members that have not completed initial replication.

See Also


Getting Started With DFS Replication

This section covers:

  • Publish data using DFS Replication

  • Collect data for backup purposes using DFS Replication


Publish data using DFS Replication

To publish data using DFS Replication, create a replication group and choose a hub-and-spoke topology with either one or two hub servers (for redundancy). In this topology, you can add data to the hub server, and the data replicates out to the spoke servers. Use the following procedure to create a replication group:

  • Create a replication group

To customize the replication group, use the following procedures as appropriate:

  • Edit the replication group schedule

  • Create or edit a custom connection schedule

  • Enable or disable replicating a replicated folder on a specific member

  • Enable or disable RDC for a specific connection

  • Edit the replication filters for a replicated folder

  • Edit the quota size of the staging folder and Conflict and Deleted folder

After you configure the replication group, you can create a namespace to enable clients to fail over to the hub server if the branch server fails or otherwise becomes unavailable. You can also configure the namespace so that clients fail back to the branch server after it is restored.

To configure a namespace for publication, use the following procedures in the order specified:

  1. Publish a replicated folder in an existing namespace

  2. Set the ordering method for targets in referrals

  3. Enable client failback


Collect data for backup purposes using DFS Replication

To collect data for backup or other purposes, use the New Replication Group Wizard to set up a replication group for data collection. This option sets up a two-way replication between two servers, such as a branch server and a hub server. Administrators at the hub office can use backup software to back up the branch server’s data from a hub server, eliminating the often error-prone process of having end users performing the backups at branch offices that are not staffed by trained information technology (IT) personnel.

Important

The data collection topology allows data to replicate from the hub server to the branch server. If you do not want changes made at the hub server to replicate to the branch server, set up shared folder permissions to prevent data from changing on the hub server, or disable the hub-to-branch connection after you set up the replication group.

Important

Using DFS Replication for data collection is not a replacement for performing regular backups.

Use the following procedure to create a replication group for data collection purposes:

  • Create a replication group

To customize the replication group, use the following procedures as appropriate:

  • Edit the replication group schedule

  • Enable or disable replication for a specific connection

  • Edit the replication filters for a replicated folder

  • Edit the quota size of the staging folder and Conflict and Deleted folder

After you configure the replication group, you can create a namespace to simplify the way users access the published data and increase the availability of the data.

To configure a namespace for data collection, perform the following procedures in the order specified:

  1. Publish a replicated folder in an existing namespace

  2. Set the ordering method for targets in referrals

  3. Set target priority to override referral ordering (Optional)

  4. Enable client failback (Optional)


This content might have been updated. For the most recent version, see the Windows Server 2003 R2 TechCenter Web site

Configuring and Managing DFS Replication

This section covers:

  • Deploying DFS Replication

  • Managing DFS Replication


Deploying DFS Replication

How to…

  • Create a replication group

  • Add a replicated folder to a replication group

  • Add a member to a replication group

  • Create a connection

  • Create a topology

  • Delegate the ability to create replication groups

  • Delegate the ability to manage an existing replication group


Create a replication group

To create a replication group

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, right-click the Replication node, and then click New Replication Group.

  3. Follow the instructions in the New Replication Group Wizard.

Important

  • When you create a new replication group, replication does not begin immediately. The topology and DFS Replication settings must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and each member's long polling interval (60 minutes).

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the appropriate authority to create replication groups and be a member of the local Administrators group on each member.

  • To check the status of replication, or to troubleshoot replication, create a diagnostic report. For more information, see Create a diagnostic report for DFS Replication.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Introduction to DFS Replication
  • DFS Replication requirements
  • Replication groups and replicated folders
  • Replication topologies
  • Replication schedules and bandwidth
  • What to expect during initial replication


Add a replicated folder to a replication group

To create a replicated folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click a replication group, and then click New Replicated Folders.

  3. Follow the instructions in the New Replicated Folders Wizard.

Important

  • Replication of the new replicated folder does not begin immediately. The new DFS Replication settings must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the appropriate authority for the replication group and be a member of the local Administrators group on each member. If you are the creator of the replication group, you can also perform this procedure if you are a member of the local Administrators group on each member.

  • To check the status of replication, or to troubleshoot replication, create a diagnostic report. For more information, see Create a diagnostic report for DFS Replication.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Replication groups and replicated folders


Add a member to a replication group

To add a member to a replication group

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click a replication group, and then click New Member.

  3. Follow the instructions in the New Member Wizard.

Important

  • Replication does not begin immediately on the new member. The DFS Replication settings for the new member must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency, the short polling interval (5 minutes) on the new member, and the long polling interval (60 minutes) on existing members.

Notes

  • Security requirements for performing this task are described in Security requirements for setting up and managing DFS Replication.

  • To check the status of replication, or to troubleshoot replication, create a diagnostic report. For more information, see Create a diagnostic report for DFS Replication.

See Also


Create a connection

To create a connection

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click the replication group that you want to create a new connection in, and then click New Connection.

  3. Select the sending and receiving members, and select the schedule to use for the connection.

  4. To create a second connection for two-way replication between the sending and receiving members, select Create a second connection in the opposite direction.

Important

  • Replication does not begin immediately on the new connection. The new connection settings must be replicated to all domain controllers, and the sending and receiving members must poll their closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group


Create a topology

To create a topology

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click the replication group to create a new topology for, and then click New Topology.

  3. Follow the instructions in the New Topology Wizard.

Important

  • Replication in the new topology does not begin immediately. The topology and DFS Replication settings must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain these settings. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Replication topologies


Delegate the ability to create replication groups

To delegate the ability to create replication groups

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, right-click the Replication node, and then click Delegate Management Permissions.

  3. To add a user or group to the delegation list, click Add.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the appropriate authority.

See Also

  • Security requirements for setting up and managing DFS Replication


Delegate the ability to manage an existing replication group

To delegate the ability to manage an existing replication group

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click the replication group, and then click Delegate Management Permissions.

  3. Type the name of the user or group that you want to delegate management permissions to, and then click OK.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

  • To view the delegation list for a replication group, select the replication group in the console tree, and then click the Delegation tab in the details pane.

See Also

  • Security requirements for setting up and managing DFS Replication


Managing DFS Replication

How to…

  • Edit the replication group schedule

  • Create or edit a custom connection schedule

  • Enable or disable replication for a specific connection

  • Enable or disable replicating a replicated folder on a specific member

  • Enable or disable RDC for a specific connection

  • Enable or disable topology verification

  • Repair a disconnected topology

  • Edit the replication filters for a replicated folder

  • Edit the quota size of the staging folder and Conflict and Deleted folder

  • Share a replicated folder

  • Publish a replicated folder in an existing namespace

  • Create a diagnostic report for DFS Replication


Edit the replication group schedule

To edit the replication group schedule

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click the replication group whose schedule you want to edit, and then click Edit Replication Group Schedule.

Important

  • Schedule changes are not applied immediately. The new schedule must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Replication schedules and bandwidth


Create or edit a custom connection schedule

To create or edit a custom connection schedule

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the connection you want to edit.

  3. In the details pane, click the Connections tab.

  4. Right-click the connection, click Properties, and then click the Schedule tab.

  5. To specify a custom schedule, select Custom connection schedule, and then click Edit Schedule to edit the schedule that applies only to that connection.

Important

  • Schedule changes are not applied immediately. The new schedule must be replicated to all domain controllers, and the sending and receiving members for the connection must poll their closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Replication schedules and bandwidth


Enable or disable replication for a specific connection

To enable or disable replication for a specific connection

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the connection you want to edit.

  3. In the details pane, click the Connections tab.

  4. Do one of the following:

    • To disable a connection, right-click the connection, and then click Disable.

    • To enable a connection, right-click the connection, and then click Enable.

Important

  • Connection changes are not applied immediately. The new connection settings must be replicated to all domain controllers, and the sending and receiving members must poll their closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group


Enable or disable replicating a replicated folder on a specific member

To enable or disable replicating a replicated folder to a specific member

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the membership you want to enable or disable.

  3. In the details pane, click the Memberships tab.

  4. Select the replicated folder on the specific member, and then do one of the following:

    • To disable the replicated folder on the member, right-click the replicated folder, and then click Disable.

    • To enable the replicated folder on the member, right-click the replicated folder, and then click Enable.

Important

  • Before you use this procedure, it is important to understand the ramifications of enabling and disabling memberships. After a disabled membership is enabled, the member must complete an initial replication of the replicated folder. Initial replication will cause about 1 KB of data to be transferred for each file or folder in the replicated folder, and any updated or new files present on the member will be moved to the DfsrPrivate\PreExisting folder on the member and be replaced with authoritative files from another member.

  • If all memberships are disabled for any replicated folder, then the first member that is enabled will automatically be made the primary member. If the discretionary access control list (DACL) on the local path for this member contains any inherited access-control entries (ACE), these ACEs will be converted to explicit ACEs with the same permissions so that all members will end up with the same DACL on the replicated folder root.

  • Membership changes are not applied immediately. The membership changes must be replicated to all domain controllers, and the member must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the short polling interval (5 minutes) on the member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • What to expect during initial replication


Enable or disable RDC for a specific connection

Remote differential compression (RDC) is a “diff-over-the-wire” protocol that can be used to efficiently update files over a limited-bandwidth network. RDC detects insertions, removals, re-arrangements of data in files, enabling DFS Replication to replicate only the changes when files are updated.

Because disabling RDC can help conserve disk input/output (I/O) and CPU resources, you might want to disable RDC on a connection if the sending and receiving members are in a local area network (LAN), and bandwidth use is not a concern. However, in a LAN environment where bandwidth is contended, RDC can be beneficial when transferring large files.

To enable or disable RDC for a specific connection

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the connection you want to edit.

  3. In the details pane, click the Connections tab.

  4. Right-click the connection, click Properties, and then on the General tab, select or clear the Use remote differential compression (RDC) check box.

Important

  • Changes to RDC settings are not applied immediately. The RDC changes must be replicated to all domain controllers, and the sending and receiving members must poll their closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group


Enable or disable topology verification

Topology verification checks whether the topology is fully connected. You can view the status of the topology by selecting a replication group, clicking the Connections tab in the details pane, and viewing the status that appears in the details pane.

To enable or disable topology validation

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, right-click the Replication node, and then do one of the following:

    • To disable topology verification, click Disable Topology Verification.

    • To enable topology verification, click Enable Topology Verification.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Repair a disconnected topology


Repair a disconnected topology

To repair a disconnected topology

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the disconnected topology.

  3. In the details pane, on the Connections tab, click the error message at the top of the tab to open the Disconnected Topology dialog box.

  4. To view disconnected members, select a replicated folder from the Replicated folder list, and then expand the Disconnected Members.

  5. Click Close.

  6. Repair the topology by performing any of the following procedures, as appropriate:

    • Create a connection

    • Edit the replication group schedule

    • Create or edit a custom connection schedule

    • Enable or disable replication for a specific connection

    • Enable or disable replicating a replicated folder on a specific member

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group


Edit the replication filters for a replicated folder

To edit the replication filters for a replicated folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the replicated folder whose filters you want to edit.

  3. In the details pane, on the Replicated Folders tab, right-click a replicated folder, and then click Properties.

  4. On the General tab, edit the existing filters or add new filters.

Important

  • Filter changes are not applied immediately. The updated filters must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • File and subfolder filters


Edit the quota size of the staging folder and Conflict and Deleted folder

You can edit the quota of the staging folder and Conflict and Deleted folder on a per-replicated folder, per-member basis.

To edit the quota size of the staging folder and Conflict and Deleted folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the replicated folder whose quotas you want to edit.

  3. In the details pane, on the Memberships tab, right-click the replicated folder on the member whose quota you want to edit, and then click Properties.

  4. On the Advanced tab, adjust the quotas as necessary.

Important

  • Changes to staging folder quotas and Conflict and Deleted folder quotas are not applied immediately. The updated quotas must be replicated to all domain controllers, and the member must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the short polling interval (5 minutes) on the member.

Note

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have been delegated the ability to manage an existing replication group. If you are the creator of the replication group, you can also perform this procedure.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Delegate the ability to manage an existing replication group
  • Staging folders and Conflict and Deleted folders


Share a replicated folder

To share a replicated folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the replicated folder you want to share.

  3. In the details pane, on the Replicated Folders tab, right-click the replicated folder you want to share, and then click Share and Publish in Namespace.

  4. In the Share and Publish Replicated Folder Wizard, select the Share the replicated folder option, and then follow the steps in the wizard.

Note

  • To perform this procedure, you must be a member of the local Administrators group on each server where the replicated folder is shared.

See Also

  • Security requirements for setting up and managing DFS Replication


Publish a replicated folder in an existing namespace

To publish a replicated folder

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, click the replication group that contains the replicated folder you want to share.

  3. In the details pane, on the Replicated Folders tab, right-click the replicated folder you want to share, and then click Share and Publish in Namespace.

  4. In the Share and Publish Replicated Folder Wizard, select the Share and publish the replicated folder in a namespace option, and then follow the steps in the wizard.

Notes

  • To perform this procedure, you must meet the security requirements for managing DFS Replication and namespaces. If folders will be shared as part of the Share and Publish Replicated Folder Wizard, you must also be a member of the local Administrators group on the servers where each folder is shared.

  • If you do not have an existing namespace, you can create one in the Namespace Path page in the Share and Publish Replicated Folder Wizard. To create the namespace, click Browse in the Namespace Path page, and then click New Namespace.

See Also

  • Security requirements for setting up and managing DFS Replication
  • Security requirements for creating and managing namespaces
  • Introduction to namespaces


Create a diagnostic report for DFS Replication

To create a diagnostic report for DFS Replication

  1. Click Start, point to Administrative Tools, and then click DFS Management.

  2. In the console tree, under the Replication node, right-click the replication group that you want to create a diagnostic report for, and then click Create Diagnostic Report.

  3. Follow the instructions in the Diagnostic Report Wizard.

Notes

  • To create a diagnostic report, you must be a member of the local Administrators group on each server that you prepare a report for.

  • The amount of time necessary to generate a diagnostic report will vary based on a number of factors, including: DFS Replication health; the number of replicated folders; available server resources (for example, CPU, memory, and so forth); WAN availability (connectivity, bandwidth, and latency); and the chosen reporting options (backlog and file system enumeration). Because of the potential delay in creating diagnostic reports, we recommend creating diagnostic reports for no more than 50 servers at a time.

See Also


DFS Replication Properties

This section covers:

  • Replication schedules and bandwidth

  • Replication topologies

  • Staging folders and Conflict and Deleted folders

  • File and subfolder filters


Replication schedules and bandwidth

The following sections describe options for configuring replication schedules and bandwidth usage in DFS Replication.

Replication schedules

The replication schedule determines the days and times at which replication occurs. You can configure the schedule at 15-minute intervals 24 hours a day, seven days a week.

There are two types of schedules:

  • Replication group schedule. This schedule applies to all connections in the replication group except connections that have a custom connection schedule. You can edit the replication group schedule by viewing the properties of the replication group.

  • Custom connection schedule. This is a unique schedule that is applied to an individual connection. You can edit the custom schedule by viewing the properties of a connection.

Because members can exist in different time zones, it is important to understand how the schedule is affected by time zones, and whether daylight savings time is in effect. Replication is always initiated by the receiving member; therefore, the schedule reflects the time at which a receiving member initiates replication with a sending member. The receiving members can interpret the schedule in one of the following ways:

  • Universal Coordinated Time (UTC). This option causes the receiving member to treat the schedule as an absolute clock. For example, a schedule that begins at 0800 UTC is the same for any location, regardless of time zone or whether daylight savings time is in effect for a receiving member. For example, assume that you set replication to begin at 0800 UTC. A receiving member in Eastern Standard Time would begin replicating at 3:00 A.M. local time (UTC - 5), and a receiving member in Rome would begin replicating at 9:00 A.M. local time (UTC + 1). Note that the UTC offset shifts when daylight savings time is in effect for a particular location.

  • Local time of receiving member. This option causes the receiving member to use its local time to start and stop replication. Local time is determined by the time zone and daylight savings time status of the receiving member. For example, a schedule that begins at 8:00 A.M. will cause every receiving member to begin replicating when the local time is 8:00 A.M. Note that daylight savings time does not cause the schedule to shift. If replication starts at 9 A.M. before daylight savings time, replication will still start at 9 A.M. when daylight savings time is in effect.

When the schedule is open, replication occurs as files are changed, created, or deleted. When the schedule closes, replication stops, regardless of whether all changed or new files have replicated.

Important

Schedule changes are not applied immediately. The new schedule must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

Bandwidth usage

You can configure a different bandwidth usage for each interval of the schedule. The bandwidth setting is an absolute value, not a percentage of available bandwidth. The bandwidth used is not kept at the specified bandwidth setting for every one-second interval. Instead, the bandwidth used can occur in bursts at any given second, but over a period of time, the average bandwidth used is equal to the bandwidth setting.

See Also


Replication topologies

The replication topology consists of the logical connections that DFS Replication uses to replicate files among servers. When you set up a replication group, you can choose from three topologies:

  • Hub and spoke. This topology requires three or more members; otherwise this option is unavailable. For each spoke member, you can choose a required hub member and an optional second hub member for redundancy. This optional hub ensures that a spoke member can still replicate if one of the hub members is unavailable. If you specify two hub members, the hub members will have a full-mesh topology between them.

  • Full mesh. In this topology, every member replicates with all other members of the replication group. This topology works well when there are ten or fewer members in the replication group. We recommend against using a full mesh topology if you have more than ten members in the replication group.

  • No topology. Choose this option if you want to create connections yourself after you finish the New Replication Group Wizard or the Replicate Folder Wizard. No replication will take place until you create the connections.

When choosing a topology, keep in mind that two one-way connections are created between the members you choose. These two connections allow data to flow in both directions. For example, in a hub and spoke topology, data will flow from the hub members to the spoke members and from the spoke members to the hub members. If you want to set up a one-way connection between two servers, you can disable individual connections after you complete the wizard.

See Also


Staging folders and Conflict and Deleted folders

Staging folders

DFS Replication uses staging folders to act as caches for new and changed files to be replicated from sending members to receiving members. The sending member begins staging a file when it receives a request from the receiving member. The process involves reading the file from the replicated folder and building a compressed representation of the file in the staging folder. This is the staged file. After being constructed, the staged file is sent to the receiving member; if remote differential compression [RDC] is used, only a fraction of the staging file might be replicated. The receiving member downloads the data and builds the file in its staging folder. After the file has completed downloading on the receiving member, DFS Replication decompresses the file and installs it into the replicated folder.

Each replicated folder has its own staging folder, which by default is located under the local path of the replicated folder in the DfsrPrivate\Staging folder. The default size of each staging folder is 4,096 MB. This is not a hard limit, however. It is only a quota that is used to govern cleanup and excessive usage based on high and low watermarks (90 percent and 60 percent of staging folder size, respectively). For example, when the staging folder reaches 90 percent of the configured quota the oldest staged files are purged until the staging folder reaches 60 percent of the configured quota.

It is important to note that the staging folder quota does not determine the largest file that can be replicated. In other words, it is possible to replicate a file that is larger than the configured quota of a staging folder. The large file is placed in the staging folder, and the staging folder cleanup process is triggered when the file is finished staging and space usage is at or above the high watermark. If the cleanup fails because the large file is still in the process of being replicated to receiving members, the cleanup process will be retried later and eventually the large file will be purged from the staging folder.

Although you can adjust the size of each staging folder, you must take the following factors into account while doing so:

  • For good operational performance, increasing the quota size of a staging folder is recommended when you have multiple large files that change frequently. We also recommend that you increase the staging folder quota on hub members that have many replication partners.

  • The size of each staging folder on a member is cumulative per volume. For example, if you have three replicated folders on a member on the same volume, it is possible for DFS Replication to use 12 GB or more for staging purposes. However, staging space is not preallocated; disk space is only used when staged files are present.

    Note

    In this example, staging cleanup might not be triggered when the staging files occupy 10.8 GB (0.9*4 GB*3), because staging space is distributed across the three replicated folders. If free disk space is a concern, you might need to configure the staging quota to be lower than the default quota when several replicated folders share staging space on the same volume. This ensures that staging cleanup is triggered.

  • If the size of a staging folder is below 90 percent of configured capacity (the high watermark), then staged files are kept in the folder and can be used in case new members are added.

  • Staged files are purged (based on a "least recently used" algorithm) when a staging folder reaches 90 percent of the configured quota (the high watermark). Files are purged until the staging size falls below the low watermark (default is 60 percent) of the configured quota.

  • If a staging folder quota is configured to be too small, DFS Replication might consume additional CPU and disk resources to regenerate the staged files. Replication might also slow down because the lack of staging space can effectively limit the number of concurrent transfers with partners.

  • For the initial replication of existing data on the primary member, it is important that you size the staging folder quota large enough so that if multiple large files are blocked in staging due to partners not being able to download the files, the remaining files can continue replicating. To properly size the staging folder for initial replication, you must take into account the size of the files to be replicated. At a minimum, the staging folder quota should at least be two times the size of the largest file in the replicated folder. For increased performance, the staging folder quota should be increased to the size of the four largest files in the replicated folder on spoke members and to the size of the sixteen largest files in the replicated folder on hub members.

  • During normal operation, if the event that indicates the staging quota is over its configured size (event ID 4208 in the DFS Replication event log) is logged multiple times in an hour, increase the staging quota by 20 percent.

Conflict and Deleted folders

DFS Replication uses a "last-writer wins" method for determining which version of a file to keep when a file is modified on two or more members. The losing file is stored in the Conflict and Deleted folder on the member that resolves the conflict. This member might not be the member where the changes originated.

Each replicated folder has its own Conflict and Deleted folder, which is located under the local path of the replicated folder in the DfsrPrivate\ConflictandDeleted folder. The quota size of the Conflict and Deleted folder is 660 MB by default. Like the staging folder, the Conflict and Deleted folder has high and low watermarks (90 percent and 60 percent of Conflict and Deleted folder quota, respectively) that govern cleanup and excessive usage of the folder. And like the staging folder, the size of each Conflict and Deleted folder on a member is cumulative per volume.

The files in the Conflict and Deleted folder are renamed and are accessible only by members of the local Administrators group. The access control lists (ACLs) on the conflict files are preserved to help ensure security. You can view a log of conflict files, as well as their original file names, by viewing the ConflictandDeletedManifest.xml file in the DfsrPrivate folder.

The Conflict and Deleted folder can also be used to store files that are deleted from replicated folders. You can configure this option by viewing the properties of a membership. Deleted files are treated like conflict files in that they are purged when the Conflict and Deleted folder reaches 90 percent of the configured quota. They are also renamed and listed in the ConflictandDeletedManifest.xml file.

See Also


File and subfolder filters

You can configure file and subfolder filters to prevent files and subfolders from replicating. Both types of filters are set on a per-replicated folder basis. You exclude subfolders by specifying their name or by using the asterisk (*) wildcard. You exclude files by specifying their name or by using the asterisk (*) wildcard to specify file names and extensions.

By default, no subfolders are excluded. The default file filters exclude the following files from replication:

  • File names starting with a tilde (~) character

  • Files with .bak or .tmp extensions

Regardless of which filters are set, the following types files are always excluded from replication:

  • NTFS mounted drives.

  • Files encrypted by using encrypting file system (EFS).

  • Any reparse points except those associated with DFS Namespaces. If a file has a reparse point used for Hierarchical Storage Management (HSM) or Single Instance Store (SIS), DFS Replication replicates the underlying file but not the reparse point.

  • Files on which the temporary attribute has been set.

When creating filters, note the following restrictions:

  • You cannot create file or subfolder filters by specifying a full path, such as C:\Replicatedfolder\Temp or C:\Replicatedfolder\file.dat.

  • You cannot specify a comma in a filter because commas are used as delimiters.

Important

Filter changes are not applied immediately. The updated filters must be replicated to all domain controllers, and each member in the replication group must poll its closest domain controller to obtain the changes. The amount of time this takes depends on Active Directory replication latency and the long polling interval (60 minutes) on each member.

It is also important to understand what happens when filters are created and removed.

  • When a filter is created. After a member detects a new filter, the member scans its database and removes any file records of files that match the filter. Because the files are no longer listed in the database, any future changes to the files are ignored.

  • When a filter is removed. After a member detects that a filter has been removed, the member scans the file system, adds records for all files that match the removed filter, and replicates the files.

See Also